API Documentation
← Back to main menu
GET
/api/random/city
Returns one or several random cities / towns. Supports multi‑area sampling.
Parameters
| Name | Required | Description |
|---|---|---|
limit |
Optional | Number of places to return. Default: 1. Maximum: 50. |
area |
Optional | ISO 3166 area code. Can be a single code (e.g. "FR") or a comma‑separated list (e.g. "FR,ES,IT") for multi‑area sampling. If omitted, a random area is chosen. |
Returns
| Field | Type | Description |
|---|---|---|
[place, area] |
Array | An array of objects. Each object contains a randomly selected place and the area code it was drawn from. |
GET
/api/random/dish
Returns a random dish.
Parameters
| Name | Required | Description |
|---|---|---|
limit |
Optional | Number of dishes to be returned, by default 1, max : 50 |
Returns
| Field | Type | Description |
|---|---|---|
[content] |
Array | An array of dishes |
GET
/api/random/quote
Returns a random quote.
Parameters
| Name | Required | Description |
|---|---|---|
nsfw |
Optional | If set to 1, quotes can be picked in content flagged NSFW |
Returns
| Field | Type | Description |
|---|---|---|
quote |
String | A quote, which never exceeds 2000 characters |
POST
/api/search/quote
Search for quotes in the corpus.
Parameters
| Name | Required | Description |
|---|---|---|
keywords |
Required | Text to search for |
nsfw |
Optional | If set to true, will also search content flagged NSFW |
Returns
| Field | Type | Description |
|---|---|---|
[quote, score, SFW] |
Array | An array of quotes (max 2000 characters) their matching scores, sorted from highest to lowest, and wether they were pulled from SFW sources or not. Returns an empty array if no results |